Bug 49101 - anaconda dump after genhdlist'ing a (un)modified cdrom
Summary: anaconda dump after genhdlist'ing a (un)modified cdrom
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-13 18:18 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 20:00:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-13 18:18:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)

Description of problem:
Anaconda dumped with rpm:error match tag missing after doing a genhdlist 
on an modified and unmodified copy of cdrom for network installs

How reproducible:
Always

Steps to Reproduce:
1. cp -a /mnt/cdrom/* ~/cd1
2. cp -a /mnt/cdrom/* ~/cd2   - the second cd
3. add rpm to /mnt/cdrom/RedHat/RPMS
4. /usr/lib/anaconda/genhdlist --withnumbers --hdlist 
~/cd1/RedHat/RPMS/base/hdinst ~/cd1 ~/cd2
5. do a nfs install to this machine
6. error is generated	

Actual Results:  you really want the floppy dump?

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1773, in 
doInstall
    self.method.mergeFullHeaders(self.hdList)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 26, in 
mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 123, in 
mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
rpm.error: match tag missing in new header

Expected Results:  installed RH7 on the rest of Corporate machines

Additional info:

lpheobus@wmata.com

where is the documetation to genhdlist or even anaconda?

Comment 1 Matt Wilson 2001-07-13 18:33:08 UTC
what genhdlist did you use?


Comment 2 Need Real Name 2001-07-13 19:19:36 UTC
The Genlist in the 7.0 pkge w/ 2.2.16 kernel
/usr/lib/anaconda-runtime/genhdlist does not respond with a -V command
                                    cannot grep out a version ??

Comment 3 Matt Wilson 2001-07-20 14:08:09 UTC
you must use the 7.1 gehndlist if you're targeting a 7.1 system.



Note You need to log in before you can comment on or make changes to this bug.